Skip to content
This repository has been archived by the owner. It is now read-only.
master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

AKAI Wordpress Webpage

Requirements

  • apache + php 5.4
  • npm
  • ruby (for deploy with wordmove)
  • mysql

Stack

Installation

g clone akai-wordpress
cd akai-wordpress

bundle install
wordmove pull -e staging # not necessary. You need to have Movefile configured (not included in the git repo) if you want to do this!

cp local-config.sample.php local-config.php
vi local-config.php # configure database access
# do the same also with .htaccess.sample (rename it to .htaccess)

# now, see if wordpress is running up correctly

cd wp-content/themes/akai-new
npm install
grunt 

# if everything went okay, now if you can work on the theme or anything =)
# Remember to read "Theme configuration" section below in this README.

Usage

Install a plugin

yo wordpress:plugin

Theme configuration

cd wp-content/themes/akai-new && grunt server
# Now you can edit akai-new theme.

# Don't manually edit ./assets/css/*.css and ./assets/js/*.js files!
# Grunt will automatically compile ./assets/ files from ./assets/css/src/*.sass and ./assets/js/src/*.js files.

About

Resources

License

Releases

No releases published

Packages

No packages published